incompatible ssis package

Darryl Wilson 1 Reputation point
2021-09-02T20:04:02.297+00:00

I created some packages at my previous work, using VS 2017. ive tried loading them into VS2019 and it wont do it.
it says ExportAnytableOrView (incompatible)
The application is not installed

SQL Server Integration Services
SQL Server Integration Services
A Microsoft platform for building enterprise-level data integration and data transformations solutions.
2,080 questions
0 comments No comments
{count} votes

2 answers

Sort by: Most helpful
  1. Yitzhak Khabinsky 21,511 Reputation points
    2021-09-02T20:40:58.613+00:00

    Hi @Darryl Wilson ,

    You need to install SQL Server Integration Services Projects extension for VS2019.
    Here is its download link: SQL Server Integration Services Projects

    0 comments No comments

  2. ZoeHui-MSFT 22,061 Reputation points
    2021-09-03T01:55:35.74+00:00

    Hi @Darryl Wilson ,

    It seems that you haven't installed SSIS in VS 2019.

    For Integration Services projects, you can install the appropriate extensions from within Visual Studio with Extensions > Manage Extensions or from the Marketplace.

    128819-screenshot-2021-09-03-095504.jpg

    Reference: download-sql-server-data-tools-ssdt

    Regards´╝î

    Zoe


    If the answer is helpful, please click "Accept Answer" and upvote it.

    Note: Please follow the steps in our documentation to enable e-mail notifications if you want to receive the related email notification for this thread.
    Hot issues October